// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/qingniao/protocol/verification.proto

package protocol

import (
	verification "gitlab.com/ruijc/qingniao/core/verification"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_com_ruijc_qingniao_protocol_verification_proto protoreflect.FileDescriptor

var file_com_ruijc_qingniao_protocol_verification_proto_rawDesc = []byte{
	0x0a, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x71, 0x69, 0x6e, 0x67,
	0x6e, 0x69, 0x61, 0x6f, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x2f, 0x76, 0x65,
	0x72, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x1b, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x71, 0x69, 0x6e, 0x67,
	0x6e, 0x69, 0x61, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x1a, 0x2f, 0x63,
	0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x71, 0x69, 0x6e, 0x67, 0x6e, 0x69, 0x61,
	0x6f, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x76, 0x65, 0x72, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0x74,
	0x0a, 0x0c, 0x56, 0x65, 0x72, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x64,
	0x0a, 0x04, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x2d, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2e, 0x71, 0x69, 0x6e, 0x67, 0x6e, 0x69, 0x61, 0x6f, 0x2e, 0x63, 0x6f, 0x72, 0x65,
	0x2e, 0x76, 0x65, 0x72, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x43, 0x6f,
	0x64, 0x65, 0x52, 0x65, 0x71, 0x1a, 0x2d, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a,
	0x63, 0x2e, 0x71, 0x69, 0x6e, 0x67, 0x6e, 0x69, 0x61, 0x6f, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e,
	0x76, 0x65, 0x72, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x64,
	0x65, 0x52, 0x73, 0x70, 0x42, 0x4c, 0x0a, 0x1b, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a,
	0x63, 0x2e, 0x71, 0x69, 0x6e, 0x67, 0x6e, 0x69, 0x61, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x63, 0x6f, 0x6c, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x71, 0x69, 0x6e, 0x67, 0x6e, 0x69, 0x61, 0x6f,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x3b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_com_ruijc_qingniao_protocol_verification_proto_goTypes = []interface{}{
	(*verification.CodeReq)(nil), // 0: com.ruijc.qingniao.core.verification.CodeReq
	(*verification.CodeRsp)(nil), // 1: com.ruijc.qingniao.core.verification.CodeRsp
}
var file_com_ruijc_qingniao_protocol_verification_proto_depIdxs = []int32{
	0, // 0: com.ruijc.qingniao.protocol.Verification.Code:input_type -> com.ruijc.qingniao.core.verification.CodeReq
	1, // 1: com.ruijc.qingniao.protocol.Verification.Code:output_type -> com.ruijc.qingniao.core.verification.CodeRsp
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_qingniao_protocol_verification_proto_init() }
func file_com_ruijc_qingniao_protocol_verification_proto_init() {
	if File_com_ruijc_qingniao_protocol_verification_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_qingniao_protocol_verification_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_com_ruijc_qingniao_protocol_verification_proto_goTypes,
		DependencyIndexes: file_com_ruijc_qingniao_protocol_verification_proto_depIdxs,
	}.Build()
	File_com_ruijc_qingniao_protocol_verification_proto = out.File
	file_com_ruijc_qingniao_protocol_verification_proto_rawDesc = nil
	file_com_ruijc_qingniao_protocol_verification_proto_goTypes = nil
	file_com_ruijc_qingniao_protocol_verification_proto_depIdxs = nil
}
